loci.plugins.util

## Class ImageProcessorSource

- java.lang.Object
- - loci.plugins.util.ImageProcessorSource

- All Implemented Interfaces:
    ICacheSource

      public class ImageProcessorSource
      extends java.lang.Object
      implements ICacheSource

  Retrieves ImageJ image processors from an image reader.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ImageProcessorReader` | `reader` Image reader from which to draw ImageProcessors.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageProcessorSource(IFormatReader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObject(int index)` Get the object corresponding to the given index.
    `int` | `getObjectCount()` Get the total number of objects that this source can retrieve.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reader

          protected ImageProcessorReader reader

      Image reader from which to draw ImageProcessors.

  - ### Constructor Detail

    - #### ImageProcessorSource

          public ImageProcessorSource(IFormatReader reader)

  - ### Method Detail

    - #### getObjectCount

          public int getObjectCount()

      Description copied from interface: `ICacheSource`
      Get the total number of objects that this source can retrieve.
      Specified by:
        `getObjectCount` in interface `ICacheSource`

    - #### getObject

          public java.lang.Object getObject(int index)
                                     throws CacheException

      Description copied from interface: `ICacheSource`
      Get the object corresponding to the given index.
      Specified by:
        `getObject` in interface `ICacheSource`
      Throws:
        `CacheException`

Copyright © 2026 Open Microscopy Environment